Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxEthAal5App.h Go to the documentation of this file.
    00001
    00050 #ifndef IXETHAAL5APP_H
    00051 #define IXETHAAL5APP_H
    00052
    00273 #include "IxEthAcc.h"
    00274 #include "IxTypes.h"
    00275 #include "IxAtmTypes.h"
    00276
    00277 #include "EthAal5User.h"
    00278 #include "IxEthAal5App_p.h"
    00279
    00287 #ifndef IX_EAA_NUM_BUFFERS_PER_ETH
    00288 #define IX_EAA_NUM_BUFFERS_PER_ETH  64
    00289 #endif
    00290
    00299 #ifndef  IX_EAA_NUM_ATM_PORTS
    00300 #if IX_UTOPIAMODE == 1
    00301 #define IX_EAA_NUM_ATM_PORTS     1
    00302 #else
    00303 #define IX_EAA_NUM_ATM_PORTS     8
    00304 #endif
    00305 #endif
    00306
    00315 #ifndef IX_EAA_NUM_BUFFERS_PER_VC
    00316 #define IX_EAA_NUM_BUFFERS_PER_VC 16
    00317 #endif
    00318
    00325 #ifndef IX_EAA_PORT1_VPI
    00326 #define IX_EAA_PORT1_VPI 1
    00327 #endif
    00328 #ifndef IX_EAA_PORT1_VCI
    00329 #define IX_EAA_PORT1_VCI 100
    00330 #endif
    00331 #ifndef IX_EAA_PORT2_VPI
    00332 #define IX_EAA_PORT2_VPI 2
    00333 #endif
    00334 #ifndef IX_EAA_PORT2_VCI
    00335 #define IX_EAA_PORT2_VCI 100
    00336 #endif
    00337 #ifndef IX_EAA_PORT3_VPI
    00338 #define IX_EAA_PORT3_VPI 3
    00339 #endif
    00340 #ifndef IX_EAA_PORT3_VCI
    00341 #define IX_EAA_PORT3_VCI 100
    00342 #endif
    00343 #ifndef IX_EAA_PORT4_VPI
    00344 #define IX_EAA_PORT4_VPI 4
    00345 #endif
    00346 #ifndef IX_EAA_PORT4_VCI
    00347 #define IX_EAA_PORT4_VCI 100
    00348 #endif
    00349 #ifndef IX_EAA_PORT5_VPI
    00350 #define IX_EAA_PORT5_VPI 5
    00351 #endif
    00352 #ifndef IX_EAA_PORT5_VCI
    00353 #define IX_EAA_PORT5_VCI 100
    00354 #endif
    00355 #ifndef IX_EAA_PORT6_VPI
    00356 #define IX_EAA_PORT6_VPI 6
    00357 #endif
    00358 #ifndef IX_EAA_PORT6_VCI
    00359 #define IX_EAA_PORT6_VCI 100
    00360 #endif
    00361 #ifndef IX_EAA_PORT7_VPI
    00362 #define IX_EAA_PORT7_VPI 7
    00363 #endif
    00364 #ifndef IX_EAA_PORT7_VCI
    00365 #define IX_EAA_PORT7_VCI 100
    00366 #endif
    00367 #ifndef IX_EAA_PORT8_VPI
    00368 #define IX_EAA_PORT8_VPI 8
    00369 #endif
    00370 #ifndef IX_EAA_PORT8_VCI
    00371 #define IX_EAA_PORT8_VCI 100
    00372 #endif
    00373
    00379 #define IX_EAA_MAC1 00
    00380
    00385 #define IX_EAA_MAC2 00
    00386
    00391 #define IX_EAA_MAC3 00
    00392
    00397 #define IX_EAA_MAC4 00
    00398
    00404 #define IX_EAA_MAC5 03
    00405
    00410 #define IX_EAA_MAC6 01
    00411
    00416 #define IX_EAA_PORT0             0
    00417
    00469 PUBLIC IX_STATUS
    00470 ixEthAal5AppCodeletMain(IxEAAModeType modeType);
    00471
    00472 #endif
    00473 /* IXETHAAL5APP_H */
    00474
Automatically generated from sources. © Intel Corp. 2003